<?php
// Dates, et Valeurs numériques au format local (français)
setlocale(LC_ALL, '') ;
// Saisie et affichage d'un réel au format chaine
echo "Entrez un réel en français (ex : 2,8) : ";
fscanf(STDIN, "%s", $chaine2);
// Conversion en type réel
$chaine3 = str_replace(",",".",$chaine2) ;
$reel3   = (float) $chaine3              ;
echo "echo:La valeur réelle est:".$reel3."\n"        ;
printf("printf:Valeur réelle est:|%+6.2f|\n",$reel3) ;
?>
